Package org.apache.ignite.compute

## Class ComputeTaskTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.ComputeTaskTimeoutException

- All Implemented Interfaces:
    `Serializable`

      public class ComputeTaskTimeoutException
      extends IgniteException

  This exception indicates that task execution timed out. It is thrown from `ComputeTaskFuture.get()` method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComputeTaskTimeoutException​(String msg)` | Creates task timeout exception with given task execution ID and error message.
    `ComputeTaskTimeoutException​(String msg, @Nullable Throwable cause)` | Creates task timeout exception with given task execution ID, error message and optional nested exception.
    `ComputeTaskTimeoutException​(Throwable cause)` | Creates new task timeout exception given throwable as a cause and source of error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputeTaskTimeoutException

          public ComputeTaskTimeoutException​(String msg)

      Creates task timeout exception with given task execution ID and error message.
      Parameters:
        `msg` - Error message.

    - #### ComputeTaskTimeoutException

          public ComputeTaskTimeoutException​(Throwable cause)

      Creates new task timeout exception given throwable as a cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### ComputeTaskTimeoutException

          public ComputeTaskTimeoutException​(String msg,
                                             @Nullable
                                             @Nullable Throwable cause)

      Creates task timeout exception with given task execution ID, error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).